extends Scene


func _on_fairy_island_interacted() -> void:
	$kq4_037_fairy_island.default_script(self)


func _on_island_shore_interacted() -> void:
	$kq4_041_island_shore.default_script(self)


func _on_island_beach_interacted() -> void:
	$kq4_039_island_beach.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You have found yourself upon a most beautiful and exotic island. In the center of this island, a wondrous ivory palace towers. Behind you, the azure ocean washes gently upon the island's sparkling beach.")
	).build(self, "_on_script_complete"))


func _on_beach_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("A beautiful sandy beach on the east side of the island. The crystal clear water laps gently at the shore.")
	).build(self, "_on_script_complete"))
